
// \file MainWindow.qt.h
// --------------------------------------------------------------------------
// \version $LastChangedRevision$
// \date    $LastChangedDate$
// \author  $LastChangedBy$
// --------------------------------------------------------------------------
// Project: Graphik-Praktikum - Rotations-Geometrie
// --------------------------------------------------------------------------
// (C) Copyright, 2006
// Computer Graphics Group, University of Siegen, Germany
// All Rights Reserved.
//
// This is unpublished proprietary source code.
// The contents of this file may not be disclosed to third parties,
// copied or duplicated in any form, in whole or in part, without the
// prior written permission of the copyright holder.
// --------------------------------------------------------------------------

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QtGui>

#include "ui_Settings.h"

class GLView;

/**
 *
 */
class MainWindow : public QMainWindow
{
	// place this macro here to include the standard QT object defitions
	Q_OBJECT

public:

  //---------------------------------------------------------------------------
  //! \name                      Instantiation
  //! \{
  //---------------------------------------------------------------------------    

	//! Constructor
	MainWindow(void);

	//! Destructor
	virtual ~MainWindow(void);


  //!\}------------------------------------------------------------------------

 protected:

  //---------------------------------------------------------------------------
  //! \name                      Instantiation
  //! \{
  //---------------------------------------------------------------------------    

  //! Build up main window layout.
  virtual void buildWindow(QWidget *centralWidget);

  //! Build up menu.
  virtual void buildMenu(void);

  //!\}------------------------------------------------------------------------

  GLView *m_pView;     //!< 2D widget
  Ui_SettingsForm ui;
};

#endif // MAINWINDOW_H
