
// \file main.cpp
// --------------------------------------------------------------------------
// \version $LastChangedRevision$
// \date    $LastChangedDate$
// \author  $LastChangedBy$
// --------------------------------------------------------------------------
// Project: Graphik-Praktikum - Rotations-Geometrie
// --------------------------------------------------------------------------
// (C) Copyright, 2006
// Computer Graphics Group, University of Siegen, Germany
// All Rights Reserved.
//
// This is unpublished proprietary source code.
// The contents of this file may not be disclosed to third parties,
// copied or duplicated in any form, in whole or in part, without the
// prior written permission of the copyright holder.
// --------------------------------------------------------------------------


// #include <Qt/qapplication.h>
#include <qapplication.h> // MAC_OS_X
#include "MainWindow.qt.h"

/* the program starts here*/
int main(int argc,char **argv)
{
  // create application and pass arguments
  // QT parses args and returns unused args for your usage
  QApplication app(argc, argv);
    
  // create main window of our application
  // you have to pass the application object
  MainWindow *win = new MainWindow();
    
  // report main window to the application
  app.setActiveWindow(win);

  // set initial size
  win->resize(800,600);

  // show the window
  win->show();
    
  // if the last window (here the app window) gets closed by the
  // user (i.e. by clicking on the close button of the window frame) then
  // the window will emit a "lastWindowClosed" signal. we connect this
  // signal with the "quit" slot of the application object. on quit the
  // application will leave the event loop started below.
  app.connect(&app, SIGNAL(lastWindowClosed()), &app, SLOT(quit()));

  // enter main event loop of the QT application object.
  // this object will reveicve all mesages from the GUI and pass them
  // along to our widgets (e.g. the main application window). These
  // events are called signals and they trigger the slot-methods they
  // are connected to.
  // if you trigger the "quit" slot of the application object then the
  // method call will return.  
  return app.exec();
}
